/*
 * @author 天天敲代码(lmy)
 * @description 导航页面，只有两个按钮
 **/
import Phaser from '../libs/phaser';

export default class NavState extends Phaser.State {

    init(props) {
        console.log("启动 NavState");
    }

    create() {
        this.createDisplayObj();
    }

    
    //创建显示对象
    createDisplayObj() {
        let {windowWidth, windowHeight} = wx.getSystemInfoSync()
        let game = this.game;
        //创建背景图片，背景图片宽高设置成屏幕可用宽高
        let bgpreloadImg = game.add.image(0, 0, "bgnav");
        bgpreloadImg.width = windowWidth;
        bgpreloadImg.height = windowHeight;

        //第一个文字按钮，并添加点击事件，跳转到GameState
        let playText = game.add.text(windowWidth/2+5,windowHeight/2+33,"弹奏吧",{
            font:'22px',
            fill:"#000000",
            align:"center"
        });
        playText.anchor.set(0.5,0.5);
        playText.inputEnabled=true;
        playText.events.onInputUp.add(()=>{
            console.log("跳转游戏页面");
            this.game.state.start("GameState");
        });

         //第一个文字按钮，并添加点击事件，跳转到HistoryState
         //\n用来换行
        let historyText = game.add.text(90,windowHeight/2+80,"我\n的\n记\n录",{
            font:'20px',
            fill:"#000000",
            align:"center",
            stroke:"#ffffff",
            strokeThickness:3
        });
        historyText.anchor.set(0.5,0.5);
        historyText.inputEnabled=true;
        historyText.events.onInputUp.add(()=>{
            console.log("跳转我的记录");
            this.game.state.start("HistoryState");
        });
    }
}